#ifndef SUDO_COLUMN_PROPERTIES_H
#define SUDO_COLUMN_PROPERTIES_H
#include "common/json_util.h"

namespace zsy
{
    struct SoundColumnProperties
    {
        std::string sn;
        std::string name;
        std::string server;
        std::string path;
    };

    inline void from_json(const nlohmann::json &j, SoundColumnProperties &o)
    {
        PARSE_JSON(sn, o.sn);
        PARSE_JSON(name, o.name);
        PARSE_JSON(server, o.server);
        PARSE_JSON(path, o.path);
    }
}


#endif //SUDO_COLUMN_PROPERTIES_H
